Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodeattributenodetype Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodeattributenodetype (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "getNodeType()" method for an Attribute Node

returns the constant value 2.

Retrieve the first attribute from the last child of

the first employee and invoke the "getNodeType()"

method. The method should return 2.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-111237558

Definition at line 51 of file nodeattributenodetype.java.

## Constructor & Destructor Documentation

nodeattributenodetype::nodeattributenodetype | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 53 of file nodeattributenodetype.java.
    00054  {
    00055       super(factory);
    00056
    00057    }

## Member Function Documentation

String nodeattributenodetype::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 73 of file nodeattributenodetype.java.
    00073                                 {
    00074       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodeattributenodetype";
    00075    }

void nodeattributenodetype::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 76 of file nodeattributenodetype.java. References DOMTestCase::doMain().
    00076                                           {
    00077         DOMTestCase.doMain(nodeattributenodetype.class,args);
    00078    }

void nodeattributenodetype::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 59 of file nodeattributenodetype.java. References DOMTestCase::assertEquals(), and DOMTest::load().
    00059                                                     {
    00060       Document doc;
    00061       NodeList elementList;
    00062       Element testAddr;
    00063       Attr addrAttr;
    00064       int nodeType;
    00065       doc = load("staff");
    00066       elementList = doc.getElementsByTagName("address");
    00067       testAddr = (Element)elementList.item(0);
    00068       addrAttr = testAddr.getAttributeNode("domestic");
    00069       nodeType = (int)addrAttr.getNodeType();
    00070       assertEquals("nodeAttrNodeTypeAssert1",2,nodeType);
    00071
    00072    }

The documentation for this class was generated from the following file:

- nodeattributenodetype.java